﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.FileDownload>
@{
    ViewBag.Title = "Quản trị Files download";
    ViewBag.Description = "nguoi dung";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/news_manager/files_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_5">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Tên File</th>
                                <th style="width: 150px">Trạng thái</th>
                                <th style="width: 150px">Vị trí</th>
                                <th style="width: 25px;">Sửa</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var item in Model)
                              {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.FileID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/news_manager/files_edit/@item.FileID" >
                                               <b>@item.FileTitle</b>
                                        </a>
                                       

                                        <br />
                                        @item.CreateDate.ToString("dd/MM/yyyy")
                                    </td>
                                    <td>
                                        @{if (item.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td>
                                        <input class="form-control order_tag valid" type="text" name="SortOrder" id="SortOrder" value="@item.SortOrder">
                                        <input type="hidden" name="updateID" value="@item.FileID">
                                    </td>

                                    <td>
                                        <a href="/administrators/news_manager/files_edit/@item.FileID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>
                                </tr> 
                              }}
                        </tbody>
                    </table>
                     <div class="table-toolbar">
                        <a href="/administrators/news_manager/files_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang5.init();
        $(document).ready(function () {
            $("#news").addClass("active open");
            $("#downloads").addClass("active");
        });

    </script>

}
